Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class FieldASTTransformation

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.ast.ClassCodeExpressionTransformer
                  org.codehaus.groovy.transform.FieldASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
    public class FieldASTTransformation
    extends ClassCodeExpressionTransformer

Handles transformation for the

Field:
  annotation.

Authors:
  Paul King
  Cedric Champeau

Method Summary
`protected SourceUnit` | `getSourceUnit()`
`Expression` | `transform(Expression expr)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`
`void` | `visitClosureExpression(ClosureExpression expression)`
`void` | `visitExpressionStatement(ExpressionStatement es)`
`void` | `visitMethod(MethodNode node)`

Methods inherited from class ClassCodeExpressionTransformer
transform, visitAnnotations, visitAssertStatement, visitCaseStatement, visitConstructorOrMethod, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitProperty, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop

Methods inherited from class ClassCodeVisitorSupport

addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop

Methods inherited from class CodeVisitorSupport

visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getSourceUnit

    protected SourceUnit getSourceUnit()

### transform

    if (insideScriptBody) {
    public Expression transform(Expression expr)

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

### visitClosureExpression

    super.visitMethod(node);
    public void visitClosureExpression(ClosureExpression expression)

### visitExpressionStatement

    }
    public void visitExpressionStatement(ExpressionStatement es)

### visitMethod

    exp.visit(this);
    public void visitMethod(MethodNode node)

Groovy Documentation